Bug 517805 - [KMS] GL screensaver crashes GNOME session for ATI Radeon X800
Summary: [KMS] GL screensaver crashes GNOME session for ATI Radeon X800
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-17 09:25 UTC by Joachim Frieben
Modified: 2018-04-11 11:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-05 20:56:55 UTC


Attachments (Terms of Use)
Xorg.0.log with active KMS for ATI Radeon X800 (45.27 KB, text/plain)
2009-08-17 09:25 UTC, Joachim Frieben
no flags Details
Custom xorg.conf for ATI Radeon X800 and 21" CRT HP A4576A (603 bytes, text/plain)
2009-08-17 09:32 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2009-08-17 09:25:46 UTC
Created attachment 357616 [details]
Xorg.0.log with active KMS for ATI Radeon X800

Description of problem:
On a current "rawhide" system, locking the screen via "System > Lock Screen" crashes an active running GNOME session provided that (1) KMS is enabled and (2) the chosen screen saver module is an GL based one like "Juggler3D".

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.2-21.fc12.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Start GNOME session.
2. Set GNOME screensaver theme to "Juggler 3D" or "GL Hanoi".
3. "System > Lock Screen".
  
Actual results:
GNOME session aborts and leaves the user facing a mouse pointer on top of a black screen.

Expected results:
Screen is locked, and chosen screensaver module sets in.

Additional info:
- Choosing a non-GL screensaver theme allows to lock and unlock the screen
  successfully.
- Adding "nomodeset" to the kernel boot options allows to restore a fully
  functional GNOME screensaver.
- After the GNOME session has aborted, the typical acoustic signal of the
  HV supply of the attached HP A4576A 21" CRT can be heard when switching
  voltage off/on. Then, a mouse pointer appears on top of a black background
  which is first accompanied by the Fedora spinner.
  Switching to a VT seems to work thanks to the acoustic feedback of the
  HV supply but the screen remains entirely black.
  However, typing ctrl-atl-del allows to reboot the system in controlled
  manner.
- Installed packages include:
  * kernel-2.6.31-0.157.rc6.fc12.x86_64
  * libdrm-2.4.12-0.7.fc12.x86_64
  * mesa-*-7.6-0.8.fc12.x86_64
  * xorg-x11-server-Xorg-1.6.99-35.20090814.fc12.x86_64

Comment 1 Joachim Frieben 2009-08-17 09:31:05 UTC
Note the last line of Xorg.0.log related to the failed attempt to switch to a working virtual console:

  (WW) xf86CloseConsole: VT_WAITACTIVE failed: Interrupted system call

Comment 2 Joachim Frieben 2009-08-17 09:32:39 UTC
Created attachment 357617 [details]
Custom xorg.conf for ATI Radeon X800 and 21" CRT HP A4576A

Comment 3 Joachim Frieben 2009-08-21 05:21:03 UTC
No improvement for latest Koji builds:
- xorg-x11-drv-ati-6.13.0-0.1.20090821gitb1b77a4d6.fc12.x86_64
- xorg-x11-server-Xorg-1.6.99-37.20090820.fc12.x86_64

Xorg.0.log exhibits a trailing line:

  "Backtrace:"

without a subsequent backtrace.

Comment 4 Matěj Cepl 2009-11-05 17:14:06 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]


Note You need to log in before you can comment on or make changes to this bug.